GFS_ACL_EQUIV_MODE(3)

NAME
gfs_acl_equiv_mode - check for an equivalent Gfarm ACL

SYNOPSIS

#include <gfarm/gfarm.h>

gfarm_error_t gfs_acl_equiv_mode(gfarm_acl_t acl, gfarm_mode_t *mode_p, int *is_not_equiv_p);

INPUT ARGUMENTS

acl
    An ACL structure type.

mode_p
    If the pointer mode_p is not NULL, the value pointed to by mode_p is set to the value that defines the same owner/group/other permissions as contained in the ACL.

is_not_equiv_p
    If the pointer is_not_equiv_p is not NULL, the value pointed to by is_not_equiv_p is set to 0 (the acl is an equivalent ACL) or 1 (the acl is not an equivalent ACL).

RETURN VALUES

GFARM_ERR_NO_ERROR
    The function terminated successfully.

Others
    An error except the above occurred. The reason is shown by gfarm_error_string(3).

SEE ALSO

gfs_acl_from_mode(3)